--- old/usr/src/lib/libm/common/m9x/frexpl.c	2019-06-06 20:40:18.827310770 +0000
+++ new/usr/src/lib/libm/common/m9x/frexpl.c	2019-06-06 20:40:18.843859956 +0000
@@ -22,6 +22,7 @@
 /*
  * Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
  */
+
 /*
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
@@ -32,26 +33,28 @@
 #include "libm.h"
 
 #if defined(__sparc)
-
 long double
-__frexpl(long double x, int *exp) {
+__frexpl(long double x, int *exp)
+{
 	union {
 		unsigned i[4];
 		long double q;
 	} xx;
+
 	unsigned hx;
 	int e, s;
 
 	xx.q = x;
 	hx = xx.i[0] & ~0x80000000;
 
-	if (hx >= 0x7fff0000) {	/* x is infinite or NaN */
+	if (hx >= 0x7fff0000) {		/* x is infinite or NaN */
 		*exp = 0;
 		return (x);
 	}
 
 	e = 0;
-	if (hx < 0x00010000) {	/* x is subnormal or zero */
+
+	if (hx < 0x00010000) {		/* x is subnormal or zero */
 		if ((hx | xx.i[1] | xx.i[2] | xx.i[3]) == 0) {
 			*exp = 0;
 			return (x);
@@ -59,6 +62,7 @@
 
 		/* normalize x */
 		s = xx.i[0] & 0x80000000;
+
 		while ((hx | (xx.i[1] & 0xffff0000)) == 0) {
 			hx = xx.i[1];
 			xx.i[1] = xx.i[2];
@@ -66,6 +70,7 @@
 			xx.i[3] = 0;
 			e -= 32;
 		}
+
 		while (hx < 0x10000) {
 			hx = (hx << 1) | (xx.i[1] >> 31);
 			xx.i[1] = (xx.i[1] << 1) | (xx.i[2] >> 31);
@@ -73,6 +78,7 @@
 			xx.i[3] <<= 1;
 			e--;
 		}
+
 		xx.i[0] = s | hx;
 	}
 
@@ -81,28 +87,29 @@
 	*exp = e + (hx >> 16) - 0x3ffe;
 	return (xx.q);
 }
-
 #elif defined(__x86)
-
 long double
-__frexpl(long double x, int *exp) {
+__frexpl(long double x, int *exp)
+{
 	union {
 		unsigned i[3];
 		long double e;
 	} xx;
+
 	unsigned hx;
 	int e;
 
 	xx.e = x;
 	hx = xx.i[2] & 0x7fff;
 
-	if (hx >= 0x7fff) {	/* x is infinite or NaN */
+	if (hx >= 0x7fff) {		/* x is infinite or NaN */
 		*exp = 0;
 		return (x);
 	}
 
 	e = 0;
-	if (hx < 0x0001) {	/* x is subnormal or zero */
+
+	if (hx < 0x0001) {		/* x is subnormal or zero */
 		if ((xx.i[0] | xx.i[1]) == 0) {
 			*exp = 0;
 			return (x);
@@ -119,7 +126,6 @@
 	*exp = e + hx - 0x3ffe;
 	return (xx.e);
 }
-
 #else
 #error Unknown architecture
 #endif
